package TX_OtherClass;

public final class LogReport extends JceStruct {
    public String callType;
    public String channelId;
    public String extent;
    public String from;
    public int isAuto;
    public String mid;
    public String pageId;
    public int pageStep;
    public String pid;
    public String refPageId;
    public String vid;

    public LogReport() {
        super();
        this.pageId = "";
        this.refPageId = "";
        this.pageStep = 0;
        this.callType = "";
        this.isAuto = 0;
        this.vid = "";
        this.pid = "";
        this.from = "";
        this.channelId = "";
        this.mid = "";
        this.extent = "";
    }

    public LogReport(String arg3, String arg4, int arg5, String arg6, int arg7, String arg8, String arg9, String arg10, String arg11, String arg12, String arg13) {
        super();
        this.pageId = "";
        this.refPageId = "";
        this.pageStep = 0;
        this.callType = "";
        this.isAuto = 0;
        this.vid = "";
        this.pid = "";
        this.from = "";
        this.channelId = "";
        this.mid = "";
        this.extent = "";
        this.pageId = arg3;
        this.refPageId = arg4;
        this.pageStep = arg5;
        this.callType = arg6;
        this.isAuto = arg7;
        this.vid = arg8;
        this.pid = arg9;
        this.from = arg10;
        this.channelId = arg11;
        this.mid = arg12;
        this.extent = arg13;
    }

    public final void readFrom(c arg4) {
        this.pageId = arg4.b(0, false);
        this.refPageId = arg4.b(1, false);
        this.pageStep = arg4.a(this.pageStep, 2, false);
        this.callType = arg4.b(3, false);
        this.isAuto = arg4.a(this.isAuto, 4, false);
        this.vid = arg4.b(5, false);
        this.pid = arg4.b(6, false);
        this.from = arg4.b(7, false);
        this.channelId = arg4.b(8, false);
        this.mid = arg4.b(9, false);
        this.extent = arg4.b(10, false);
    }

    public final void writeTo(d arg3) {
        if(this.pageId != null) {
            arg3.a(this.pageId, 0);
        }

        if(this.refPageId != null) {
            arg3.a(this.refPageId, 1);
        }

        arg3.a(this.pageStep, 2);
        if(this.callType != null) {
            arg3.a(this.callType, 3);
        }

        arg3.a(this.isAuto, 4);
        if(this.vid != null) {
            arg3.a(this.vid, 5);
        }

        if(this.pid != null) {
            arg3.a(this.pid, 6);
        }

        if(this.from != null) {
            arg3.a(this.from, 7);
        }

        if(this.channelId != null) {
            arg3.a(this.channelId, 8);
        }

        if(this.mid != null) {
            arg3.a(this.mid, 9);
        }

        if(this.extent != null) {
            arg3.a(this.extent, 10);
        }
    }
}


